Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.interceptors
Class ACLInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.cms.CMSInterceptor
              org.jboss.portal.cms.impl.interceptors.ACLInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public class ACLInterceptor

extends CMSInterceptor

ACLInterceptor is plugged into the CMS system to enforce fine grained security access control on resources stored in the CMS system.

Author:
  Sohil Shah - sohil.shah@jboss.com - Nov 27, 2006

Constructor Summary
`ACLInterceptor()`

Method Summary
`AuthorizationManager` | `getAuthorizationManager()`
`java.lang.String` | `getCmsSessionFactory()`
`java.lang.String` | `getDefaultPolicy()`
`java.lang.String` | `getIdentitySessionFactory()`
`java.lang.String` | `getJNDIName()`
`org.jboss.portal.identity.RoleModule` | `getRoleModule()`
`protected java.lang.Object` | `invoke(JCRCommand invocation)`
`void` | `setAuthorizationManager(AuthorizationManager authorizationManager)`
`void` | `setCmsSessionFactory(java.lang.String cmsSessionFactory)`
`void` | `setDefaultPolicy(java.lang.String defaultPolicy)`
`void` | `setIdentitySessionFactory(java.lang.String identitySessionFactory)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setRoleModule(org.jboss.portal.identity.RoleModule roleModule)`
`void` | `start()`
`void` | `stop()`
`static void` | `turnOff()`
`static void` | `turnOn()`

Methods inherited from class org.jboss.portal.cms.CMSInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ACLInterceptor

    public ACLInterceptor()

Method Detail

### getAuthorizationManager

    public AuthorizationManager getAuthorizationManager()

  Returns:

### setAuthorizationManager

    public void setAuthorizationManager(AuthorizationManager authorizationManager)

  Parameters:
    `authorizationManager` -

### getDefaultPolicy

    public java.lang.String getDefaultPolicy()

  Returns:

### setDefaultPolicy

    public void setDefaultPolicy(java.lang.String defaultPolicy)

  Parameters:
    `defaultPolicy` -

### getRoleModule

    public org.jboss.portal.identity.RoleModule getRoleModule()

  Returns:

### setRoleModule

    public void setRoleModule(org.jboss.portal.identity.RoleModule roleModule)

  Parameters:
    `roleModule` -

### getJNDIName

    public java.lang.String getJNDIName()

  Returns:

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

  Parameters:
    `jndiName` -

### getIdentitySessionFactory

    public java.lang.String getIdentitySessionFactory()

  Returns:

### setIdentitySessionFactory

    public void setIdentitySessionFactory(java.lang.String identitySessionFactory)

  Parameters:
    `identitySessionFactory` -

### getCmsSessionFactory

    public java.lang.String getCmsSessionFactory()

  Returns:

### setCmsSessionFactory

    public void setCmsSessionFactory(java.lang.String cmsSessionFactory)

  Parameters:
    `cmsSessionFactory` -

### invoke

    protected java.lang.Object invoke(JCRCommand invocation)
                               throws java.lang.Exception,
                                      org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in class `CMSInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### turnOff

    public static void turnOff()

### turnOn

    public static void turnOn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.